> ## Documentation Index
> Fetch the complete documentation index at: https://docs.azalt.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Import multiple activities

> Import multiple activities in bulk:

**Parameters**:
- `formId`: Form where activities will be imported
- `activities`: Array of activity objects, each with:
  - `key`: Activity definition key
  - `siteId`: Site where activity occurs
  - `year`: Activity year
  - `periodUnit`: Time period number
  - `input`: Input data for calculation

Ideal for bulk data loading and migration. All activities are automatically calculated during import.



## OpenAPI

````yaml https://app.azalt.co/api/v1/openapi.json post /activities/import
openapi: 3.0.3
info:
  title: Erguvan Public API
  version: 1.0.0
servers:
  - url: https://app.azalt.co/api/v1
security: []
paths:
  /activities/import:
    post:
      tags:
        - Activity
      summary: Import multiple activities
      description: >-
        Import multiple activities in bulk:


        **Parameters**:

        - `formId`: Form where activities will be imported

        - `activities`: Array of activity objects, each with:
          - `key`: Activity definition key
          - `siteId`: Site where activity occurs
          - `year`: Activity year
          - `periodUnit`: Time period number
          - `input`: Input data for calculation

        Ideal for bulk data loading and migration. All activities are
        automatically calculated during import.
      operationId: importActivities
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                formId:
                  type: string
                fileName:
                  type: string
                  minLength: 1
                  maxLength: 255
                mediaId:
                  type: string
                  minLength: 1
                mode:
                  type: string
                  enum:
                    - merge
                    - replace
                source:
                  type: string
                  enum:
                    - activity_import
                    - form_element_submission_import
                    - source_adapter
                activities:
                  type: array
                  items:
                    type: object
                    properties:
                      activityId:
                        type: string
                        minLength: 1
                      key:
                        type: string
                      siteId:
                        type: string
                      year:
                        type: number
                      periodUnit:
                        type: number
                      input:
                        type: object
                        additionalProperties: {}
                    required:
                      - key
                      - siteId
                      - year
                      - periodUnit
                      - input
              required:
                - formId
                - activities
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  activities:
                    type: array
                    items:
                      type: object
                      properties:
                        activityId:
                          type: string
                        input:
                          type: object
                          additionalProperties: {}
                        value:
                          type: number
                          nullable: true
                        metadata:
                          type: object
                          additionalProperties: {}
                        key:
                          type: string
                        siteId:
                          type: string
                        year:
                          type: number
                        periodUnit:
                          type: number
                      required:
                        - activityId
                        - input
                        - value
                        - metadata
                  deletedActivityIds:
                    type: array
                    items:
                      type: string
                required:
                  - activities
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - Authorization: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````